package cn.timer.api.bean.kqgl;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author lalqq
 *	考勤日历
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AttendanceCalendar implements Serializable{
	
	private static final long serialVersionUID = 1970140909630348971L;
	
	private Integer attshouldmade = 0;// 应出勤
	private Integer attendance = 0;// 已出勤
	private Integer absenceduty = 0;// 缺勤
	private Integer gomiscard = 0;// 上班缺卡
	private Integer offmiscard = 0;// 下班缺卡

	private Integer overtime = 0;// 加班
	private Integer breakoff = 0;// 调休
	private Integer businesstravel = 0;// 出差
}
