package cn.timer.api.bean.qyzx;

import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author Tang 2019-11-11
*/
@Data
@Builder(toBuilder=true)
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("员工企业关联表")
public class QyzxEmpEntAsso extends Model<QyzxEmpEntAsso> {

	private static final long serialVersionUID = -3556145825424123822L;
    
	@ApiModelProperty(value="员工工号 员工工号",example="101")
    private Integer empNum;
    
	@ApiModelProperty(value="组织机构代码 组织机构代码",example="101")
    private Integer orgCode;
    
	@ApiModelProperty(value="用户类型  1 超管理员 2子管理 3 普通员工",example="101")
    private Integer userType;

    @ApiModelProperty(value="用户状态",example="1")
    private Integer status;
    
    @ApiModelProperty(value="为0的id",example="0")
    private Integer id;
}