package cn.timer.api.bean.zzgl;

import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Tang 2019-11-17
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("部门权限表")
public class ZzglAuth extends Model<ZzglAuth> {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "权限编号", example = "1")
	private String menuId;

	@ApiModelProperty(value = "组织机构代码 企业中心（企业信息id）", example = "117")
	private Integer orgCode;

	@ApiModelProperty(value = "部门岗位编号", example = "117")
	private Integer bmgwId;
}