package cn.timer.api.config.annotation;

import java.io.Serializable;

import cn.timer.api.bean.qyzx.QyzxEmpLogin;
import cn.timer.api.config.swagger.IgnoreSwaggerParameter;
import lombok.*;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserBean implements Serializable {

	@IgnoreSwaggerParameter
	private Integer empNum;

	@IgnoreSwaggerParameter
	private Integer orgCode;

	@IgnoreSwaggerParameter
	private QyzxEmpLogin qyzxEmpLogin;

	@IgnoreSwaggerParameter
	private String token;

	@IgnoreSwaggerParameter
	private String refreshToken;

}
