package cn.timer.api.dao.qyxx;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import cn.timer.api.bean.qyxx.CmsIsRead;
import cn.timer.api.dto.qyxx.QyxxIsReadDto;

/**
 * OA消息内容表
 * 
 * @author dsc 2019-12-12
 */
@Repository
public interface CmsIsReadMapper extends BaseMapper<CmsIsRead> {

	/**
	 * 查询已读人
	 * 
	 * @param mid
	 * @param orgCode
	 * @return
	 */
	QyxxIsReadDto queryIsReadEmp(@Param(value = "orgCode") Integer orgCode, @Param(value = "mid") Integer mid);

}
