package cn.timer.api.dao.spmk;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import cn.timer.api.bean.spmk.SpmkSpgl;
import cn.timer.api.dto.spmk.SpmkSpglDto;
import cn.timer.api.dto.spmk.SpmkSpglSortDto;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
*  审批管理
* @author Tang 2019-11-22
*/
@Repository
public interface SpmkSpglMapper extends BaseMapper<SpmkSpgl> {

	Integer updateListSortById(List<SpmkSpglSortDto> spmkSpglSortDtos);

	/* SpmkSpglDto selectSpglById(Integer id); */
	
	SpmkSpgl selectSpglById2(Integer id);

}
