package cn.timer.api.dao.spmk;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import cn.timer.api.bean.spmk.SpmkSpz;
import cn.timer.api.dto.spmk.SpmkSpzDto;
import cn.timer.api.dto.spmk.SpmkSpzSortDto;
import cn.timer.api.dto.spmk.SpmkSpzSpglDto;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
*  审批组
* @author Tang 2019-11-22
*/
@Repository
public interface SpmkSpzMapper extends BaseMapper<SpmkSpz> {

	List<SpmkSpzSpglDto> selectSpglListByOrgCode(Integer orgCode);

	Integer updateListSortById(List<SpmkSpzSortDto> spmkSpzSortDtos);



}
