package cn.timer.api.dao.xcgl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import cn.timer.api.bean.xcgl.XcglAssoJsgzzx;
import cn.timer.api.dto.xcgl.CalculationOptionsDto;
import cn.timer.api.dto.xcgl.PayTermDto;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
*  计薪规则组项
* @author lal 2019-11-23
*/
@Repository
public interface XcglAssoJsgzzxMapper extends BaseMapper<XcglAssoJsgzzx> {

	int jsgzzxinsert(XcglAssoJsgzzx xcglassojsgzzx);
	
	int insertxcglassojsgzzxList(List<XcglAssoJsgzzx> xcglassojsgzzx);

	int jsgzzxupdate(XcglAssoJsgzzx xcglassojsgzzx);
	
	List<PayTermDto> selectxcglassojxgzList(Integer xzzid);
	
	int deleteByxzzid(int id);
	
	List<CalculationOptionsDto> selectCalculationOptionsList(int xzzid,int userid);
	
	List<XcglAssoJsgzzx> selectSalarySectionList(int xzzid);
}
