package cn.timer.api.dao.zcgl;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import cn.timer.api.bean.zcgl.ZcglAdminZccrkgl;
import cn.timer.api.dto.zcgl.ZcglTjtDto;

/**
 * 资产出入库管理表
 * 
 * @author dsc 2019-11-26
 */
@Repository
public interface ZcglAdminZccrkglMapper extends BaseMapper<ZcglAdminZccrkgl> {

	List<ZcglTjtDto> queryRkByYear(Integer orgCode);

	List<ZcglTjtDto> queryCkByYear(Integer orgCode);

	List<ZcglTjtDto> queryRkByMonth(@Param(value = "orgCode") Integer orgCode, @Param(value = "year") Integer year);

	List<ZcglTjtDto> queryCkByMonth(@Param(value = "orgCode") Integer orgCode, @Param(value = "year") Integer year);

	List<ZcglTjtDto> queryRkByDay(@Param(value = "orgCode") Integer orgCode, @Param(value = "yearMonth") Integer yearMonth);

	List<ZcglTjtDto> queryCkByDay(@Param(value = "orgCode") Integer orgCode, @Param(value = "yearMonth") Integer yearMonth);

}
