package cn.timer.api.dao.zzgl;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage; 

import cn.timer.api.bean.zzgl.ZzglLogDgjl;
import cn.timer.api.dto.zzgl.LogDgjlsDto;
import cn.timer.api.dto.zzgl.LogDgjlsQueryDto;
import cn.timer.api.dto.zzgl.ZzglLogDgjlDto;
import cn.timer.api.dto.zzgl.ZzglLogDgjlQueryDto;

/**
*  调岗记录
* @author Tang 2019-11-17
*/
@Repository
public interface ZzglLogDgjlMapper extends BaseMapper<ZzglLogDgjl> {

	List<ZzglLogDgjlDto> selectListdgjl( ZzglLogDgjlQueryDto zglLogDgjlQueryDto);
	void insertbydeldept(@Param("ids") List<Integer>ids,@Param("uid") Integer uid);
	void insertbyaddemp(@Param("ids") List<Integer>ids,@Param("uid") Integer uid,@Param("gwid") Integer gwid,@Param("orgc")  Integer orgc,@Param("comm") String comm );
	
	//weng 获取调岗记录
	List<LogDgjlsDto> selectListdgjls(IPage<LogDgjlsDto> page,@Param("param") LogDgjlsQueryDto logDgjlsQueryDto);
}
