package cn.timer.api.dto.qyxx;

import java.io.Serializable;
import java.util.Date;

import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class QyxxIsReadDto extends Page implements Serializable{
	
	private static final long serialVersionUID = -5784871397141204306L;

	@ApiModelProperty(value="信息id",example="1 2 3")
	private Integer mid;
	
	@ApiModelProperty(value="用户id",example="1 2 3")
	private Integer uid;
	
	@ApiModelProperty(value="读取时间",example="1111")
	private Date rt;
	
	@ApiModelProperty(value="用户名",example="3333")
	private String name;
	
	@ApiModelProperty(value="头像路径",example="3333")
	private String url;
}
