/**
 * @date 2019年11月15日  
 * @author 翁东州
 * @方法中文名称:
 */
package cn.timer.api.dto.qyzx;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @date 2019年11月15日  
 * @author 翁东州
 * @方法中文名称:
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class LogBuyDto implements Serializable{

	private static final long serialVersionUID = -6664097955127164538L;

	@ApiModelProperty(value="类型 1：系统版本 2：短信、3：背景调查、4：即时消息、5：电子合同",example="2")
    private Integer type;
    
	@ApiModelProperty(value="名称",example="短信")
    private String name;
    
	@ApiModelProperty(value="金额 ",example="500")
    private Double money;
	
	@ApiModelProperty(value="数量",example="1000")
    private Integer num;

	@ApiModelProperty(value="创建时间 ",example="注册时间")
    private Date qlbt;
    
	
}
