package cn.timer.api.dto.spmk;

import cn.timer.api.bean.spmk.SpmkMb;
import cn.timer.api.bean.spmk.SpmkMb.SpmkMbBuilder;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SpmkMbKjDto {

	@ApiModelProperty(value="编号",example="101")
    private Integer id;
    
	@ApiModelProperty(value="名称",example="名称")
    private String name;
    
	@ApiModelProperty(value="类型",example="101")
    private Integer type;
	
	@ApiModelProperty(value="控件",example="101")
	private Object kj;
	
}
