package cn.timer.api.dto.xcgl;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class PayrollGroupDto implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -2387536889322907414L;
	
	int id;
	
	@ApiModelProperty(value="薪资组命名 ",example="薪资组命名")
	String name;
	String[] payuserids;// 算薪部门和人员
	
	@ApiModelProperty(value="算薪月周期 0：上月；1：当月",example="1")
	int payperiod;// 算薪周期（月）
	
	@ApiModelProperty(value="算薪日周期 全月",example="20")
	int paydayperiod;// 算薪周期（日）
	
	@ApiModelProperty(value="选择配薪方式(0:空白模板；df:默认)",example="0")
	String pxfs;//选择配薪方式(0:空白模板；df:默认)
	
	@ApiModelProperty(value="薪资月份",example="2019-12")
	String xzyf;
}
