/**
 * @date 2019年11月16日  
 * @author 翁东州
 * @方法中文名称:
 */
package cn.timer.api.dto.yggl;

import java.io.Serializable;
import java.util.Date;

import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LzbDto extends Page implements Serializable{
	
	private static final long serialVersionUID = -1230023773946170942L;

	@ApiModelProperty(value="姓名",example="翁东州")
	private String name;
	
	@ApiModelProperty(value="员工工号",example="101")
	private Integer empNum;
	
	@ApiModelProperty(value="部门名称",example="部门名称")
	private String bm;
	
	@ApiModelProperty(value="岗位名称",example="岗位名称")
	private String gw;
	
	@ApiModelProperty(value="工作性质1全职、2实习生、3兼职、4劳务派遣、5劳务、6派遣、7外包、8退休返聘",example="1")
	private String type;
	
	@ApiModelProperty(value="员工状态1试用、2正式、3离职中、4已离职",example="3")
	private Integer jobStatus;
	
	@ApiModelProperty(value="入职日期",example="入职日期")
	private Date rz;
	
	@ApiModelProperty(value="应离职日期",example="离职日期")
	private Date ylz;
	
	@ApiModelProperty(value="司龄",example="司龄")
	private String workage;
	
	@ApiModelProperty(value="离职备注",example="离职备注")
	private String bz;
	
}
