/**
 * @date 2019年11月16日  
 * @author 翁东州
 * @方法中文名称:
 */
package cn.timer.api.dto.yggl;

import java.io.Serializable;

import cn.timer.api.config.swagger.IgnoreSwaggerParameter;
import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 离职员工管理
 * @author dsc
 *
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LzbQueryDto extends Page implements Serializable{
	
	private static final long serialVersionUID = -2367956132462340647L;

	@ApiModelProperty(value="员工状态1试用、2正式、3离职中、4已离职",example="3")
	private Integer jobStatus;
	
	@ApiModelProperty(value="姓名/工号",example="姓名或者员工工号")
	private String query;
	
	@IgnoreSwaggerParameter
	private Integer orgCode;
	
}
