/**
 * @date 2019年11月16日  
 * @author 翁东州
 * @方法中文名称:
 */
package cn.timer.api.dto.yggl;

import java.io.Serializable;
import java.util.Date;

import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 离职员工管理
 * @author dsc
 *
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LzygQueryDto extends Page implements Serializable{
	
	private static final long serialVersionUID = -1230023773946170942L;

	@ApiModelProperty(value="工作性质1全职、2实习生、3兼职、4劳务派遣、5劳务、6派遣、7外包、8退休返聘",example="1")
	private Integer jobType;
	
	@ApiModelProperty(value="部门",example="101")
	private Integer bmgwid;
	
	@ApiModelProperty(value="员工状态1试用、2正式、3离职中、4已离职",example="2")
	private Integer jobStatus;
	
	@ApiModelProperty(value="手机号、姓名",example="1388888888 or 张三")
	private String query;
	
	@ApiModelProperty(value="离职原因",example="中了五百万")
	private String lzyy;
	
	@ApiModelProperty(value="离职备注",example="批准离职")
	private String lzbz;
	
	@ApiModelProperty(value="员工工号",example="666")
	private Integer empNum;
	
	@ApiModelProperty(value="应离职时间",example="2019-12-12")
	private Date lzTime;
}
