package cn.timer.api.dto.zcgl;

import java.io.Serializable;

import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ZcglCartogramDto extends Page implements Serializable {

	private static final long serialVersionUID = 4391651021258322289L;

	@ApiModelProperty(value = "资产数量", example = "1")
	private String sl;

	@ApiModelProperty(value = "类别名称", example = "电子设备")
	private String mc;

}
