package cn.timer.api.dto.zcgl;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ZcglDetailsDto {

	@ApiModelProperty(value="id",example="1")
	private Integer id;
	
	@ApiModelProperty(value="编号id",example="1")
	private String zdyid;
	
	@ApiModelProperty(value="名称",example="101")
	private String mc;
	
	@ApiModelProperty(value="资产编号",example="101")
	private String zcbh;
	
	@ApiModelProperty(value="规格型号",example="张三")
	private String ggxh;
	
	@ApiModelProperty(value="计量单位",example="101")
	private String jldw;
	
	@ApiModelProperty(value="参数",example="101")
	private String cs;
	
	@ApiModelProperty(value="图片",example="101")
	private String tulj;
	
	@ApiModelProperty(value="备注",example="101")
	private String bzxx;
	
	@ApiModelProperty(value="类别id",example="101")
	private Integer lbid;
	
	@ApiModelProperty(value="类别名称",example="101")
	private String lbmc;
	
	@ApiModelProperty(value="闲置数量",example="1")
	private Integer xzsl;
	
	@ApiModelProperty(value="领用数量",example="2")
	private Integer lysl;
	
	@ApiModelProperty(value="报废数量",example="3")
	private Integer bfsl;
	
	@ApiModelProperty(value="单价",example="999")
	private Double zcdj;
}
