package cn.timer.api.dto.zcgl;

import java.io.Serializable;
import java.util.Date;

import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ZcglQueryDto extends Page implements Serializable{
	
	private static final long serialVersionUID = 7943271236136321567L;

	@ApiModelProperty(value="生产日期",example="1")
	private String startTime;
	
	@ApiModelProperty(value="有效期",example="101")
	private String endTime;
	
	@ApiModelProperty(value="生产日期",example="101")
	private Date scrqTime;
	
	@ApiModelProperty(value="有效期",example="101")
	private Date yxq;
	
	@ApiModelProperty(value="名称、型号、供应商",example="张三")
	private String query;
	
}
