package cn.timer.api.dto.zzgl;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ZzglBmgwMEmpDto implements Serializable{

	private static final long serialVersionUID = 5493393107632871810L;

	@ApiModelProperty(value = "编号", example = "101")
	private Integer id;

	@ApiModelProperty(value = "组织机构代码 企业中心（企业信息id）", example = "101")
	private Integer orgCode;

	@ApiModelProperty(value = "上级部门id 上级部门id", example = "101")
	private Integer upId;

	@ApiModelProperty(value = "名称 ", example = "名称")
	private String name;

	@ApiModelProperty(value = "状态 状态 0：正常1：关闭", example = "101")
	private Integer sts;

	@ApiModelProperty(value = "是否管理者 0:超管;1:管理员;2:员工", example = "101")
	private Integer isAdmin;

	@ApiModelProperty(value = "是否可修改 是否可修改 0：否 1：是", example = "101")
	private Integer isUpdate;

	@ApiModelProperty(value = "类型 0:部门;1:岗位", example = "101")
	private Integer type;

	@ApiModelProperty(value = "备注 ", example = "备注")
	private String remark;
	
	@ApiModelProperty(value="更新时间 ",example="更新时间")
    private Date updateTime;
    
	@ApiModelProperty(value="创建时间 ",example="创建时间")
    private Date createTime;
	
	@ApiModelProperty(value="用户名 ",example="用户名")
    private String username;
	
}
