package cn.timer.api.bean.kqgl;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class AttendanceGroup implements Serializable{
	
	private static final long serialVersionUID = -5573272776427338217L;
	
	private Integer id;
	private String name;// 名称
	private String kqbz;// 考勤备注
	private Integer pbfs;// 排班方式 1：固定排班；2：自由排班；3：自由工时
	private Integer qyid;// 企业id
	private Integer isFdjjr;// 是否开启法定节假日休息
	private String kqkssjTime;// 考勤开始时间【自由工时专用】

	private String zsgzsc;// 至少工作时长【自由工时专用】
	private String zcgzsc;// 正常工作时长【自由工时专用】
	private String jbzdsc;// 加班最大时长【自由工时专用】

	private Integer isDqtx;// 是否开启到期提醒 [排班制专用]0：否；1：是
	private String txry;// 提醒人员 [排班制专用]
	private Integer txfs;// 提醒天数提醒 [排班制专用]
	private Integer txxhts;// 提醒循环天数 [排班制专用]
	private String txsjTime;// 提醒时间 [排班制专用]
	private String tsfs;// 提示方式 [排班制专用]PC端、APP客户端、短信、邮件 以[“,”]连接 json数组
	private Integer isWpbsdk;// 是否开启未排班时打卡 [排班制专用]0：否；1：是；未排班时，员工可以选择班次打卡

	private String sybc;// 使用班次【排班制使用】
	private Integer isXzbcdk;// 是否开启未排班时，员工可选择班次打卡

	private Integer kqznum;// 考勤组人员数
	private String pbfsnm;// 排班方式
	private String dkfs;// 打卡方式

	private Integer isWq;//外勤
	
	private Integer kqjid;

	private List<AttGroupBinPunchMode> kqzdkfslist = new ArrayList<AttGroupBinPunchMode>();
}