package cn.timer.api.bean.kqgl;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author lalqq 考勤报表列表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AttendanceReport implements Serializable{
	
	private static final long serialVersionUID = -5433010763591172589L;
	
	private Integer id;
	private String name;// 姓名
	private String dept;// 部门
	private Integer jobnumber;// 工号
	private String post;// 职位
	private int answerday;// 应出勤天数**
	private int actualday;// 实际出勤天数**
	private int restday;// 休息天数**
	private int workhours;// 工作时长**
	private int latenum;// 迟到次数
	private int latehours;// 迟到时长
	private int seriouslatenum;// 严重迟到次数
	private String seriouslatehours;// 严重迟到时长
	private int minerday;// 矿工天数**
	private int leanum;// 早退次数
	private int leahours;// 早退时长
	private int goworkmissingcard;// 上班缺卡次数**
	private int offworkmissingcard;// 下班缺卡次数**
}
