package cn.timer.api.bean.kqgl;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author lalqq 考勤日历提醒
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CalendarAlarm implements Serializable{
	
	private static final long serialVersionUID = -8035674392623067175L;
	
	private Integer id;
	private Integer userid;// 用户id
	private Long remindtime;// 提醒时间
	private String content;// 内容
	private Integer state;// 状态（0：未完成，1：已完成，2：已过期）
	private Long addtime;// 添加时间
}