package cn.timer.api.bean.kqgl;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author lalqq APP 打卡数据
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ClockCollectData implements Serializable{
	
	private static final long serialVersionUID = -7658009549305902379L;
	
	private Integer userid;// 用户id
	private Integer type;// 打卡类型，1:上班1 2:下班1 3:上班2 4:下班2 5:上班3 6:下班3......
	private String punchtime;// 打卡时间
	private String punchcardtime;// 应打卡时间 ""
	private Integer punchcardtype;// 打卡类型（1：GPS，2：WIFI，3：考勤机，4：外勤）
	private String lat;// 纬度
	private String lon;// 经度
	private String address;// 地址
	private String mac;// WIFI mac地址
	private String macname;// WIFI名称
	private Integer shifid;// 班次id（无排班时 为“0”）
	private Integer status;// 打卡状态（状态，1:正常 2：异常 3：补卡 4：请假）
	private String registrationid;// 手机唯一ID

	private Integer differ;// 1：打卡 2：更新打卡
}
