package cn.timer.api.bean.kqgl;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class Schedule implements Serializable{
	
	private static final long serialVersionUID = 1812917998421017488L;
	
	private Integer id;
	private Integer userid;
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date data;
	private Integer bcid;
	private Integer kqzid;

	private String username;
	private String bcname;
	private String yemo;
	private String xsrq;

	private String sbdk1;
	private String sbqjks1;
	private String sbqjjs1;

	private String xbdk1;
	private String xbqjks1;
	private String xbqjjs1;

	private String sbdk2;
	private String sbqjks2;
	private String sbqjjs2;

	private String xbdk2;
	private String xbqjks2;
	private String xbqjjs2;

	private String sbdk3;
	private String sbqjks3;
	private String sbqjjs3;

	private String xbdk3;
	private String xbqjks3;
	private String xbqjjs3;

	private Integer isxbdk;
	private Integer sxbcs;
	
	private List<PunchRecord> attpr = new ArrayList<PunchRecord>();// 打卡记录
}