package cn.timer.api.bean.kqgl;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ScheduleAux implements Serializable{
	
	private static final long serialVersionUID = -1533524734463370979L;
	
	private Integer id;
	private Integer userid;
	private String data;
	private Integer bcid;
	private Integer kqzid;

	private List<PunchRecord> attpr = new ArrayList<PunchRecord>();// 打卡记录
	private List<AttSchedule> attsch = new ArrayList<AttSchedule>();// 考勤班次

	private List<AttCalendarAlarm> remind = new ArrayList<AttCalendarAlarm>();// 提醒
}
