package cn.timer.api.bean.kqgl;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author lalqq APP获取班次详情
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ShiftDetails implements Serializable{

	private static final long serialVersionUID = -5211484030748487748L;
	
	private List<AttSchedule> attsch = new ArrayList<AttSchedule>();// 考勤班次
	private boolean noclockout;// 下班不用打卡
	private Integer allowlate;// 允许迟到分钟数
	private Integer seriouslate;// 严重迟到分钟数
	private Integer absenteeismlate;// 旷工迟到分钟数
	private boolean islatelate;// 晚走晚到
	private List<AttLateLate> attlat = new ArrayList<AttLateLate>();// 晚走晚到时间
	
	private List<PunchRecord> attpr = new ArrayList<PunchRecord>();// 打卡记录
}
