package cn.timer.api.bean.kqgl;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

@AllArgsConstructor
@NoArgsConstructor
public class ShiftManagement implements Serializable{

	private static final long serialVersionUID = -4271326100147000353L;
	
	private Integer id;
    private String name;
    private String sbdk1;
    private String sbqjks1;
    private String sbqjjs1;
    private String xbdk1;
    private String xbqjks1;
    private String xbqjjs1;
    private String sbdk2;
    private String sbqjks2;
    private String sbqjjs2;
    private String xbdk2;
    private String xbqjks2;
    private String xbqjjs2;
    private String sbdk3;
    private String sbqjks3;
    private String sbqjjs3;
    private String xbdk3;
    private String xbqjks3;
    private String xbqjjs3;
    private Integer sxbcs;//上下班次数(1/2/3    最大值为3)
    private Integer isXbdk;//是否允许下班打卡(0：否；1：是)
    private Integer yxcdfzs;//允许迟到分钟数
    private Integer yzcdfzs;//严重迟到分钟数
    private Integer kgcdfzs;//旷工迟到分钟数
    private Integer isWzwd;//是否开启晚走晚到(0：否；1：是)
    private String xbwz1;
    private String sbwd1;
    private String xbwz2;
    private String sbwd2;
    private String xbwz3;
    private String sbwd3;
    private String beiz;//备注
    private Integer qyid;//企业id
    private Long lusjTime;//录入时间
    private Integer luryid;//录入人员

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getSbdk1() {
        return sbdk1;
    }

    public void setSbdk1(String sbdk1) {
        this.sbdk1 = sbdk1 == null ? null : sbdk1.trim();
    }

    public String getSbqjks1() {
        return sbqjks1;
    }

    public void setSbqjks1(String sbqjks1) {
        this.sbqjks1 = sbqjks1 == null ? null : sbqjks1.trim();
    }

    public String getSbqjjs1() {
        return sbqjjs1;
    }

    public void setSbqjjs1(String sbqjjs1) {
        this.sbqjjs1 = sbqjjs1 == null ? null : sbqjjs1.trim();
    }

    public String getXbdk1() {
        return xbdk1;
    }

    public void setXbdk1(String xbdk1) {
        this.xbdk1 = xbdk1 == null ? null : xbdk1.trim();
    }

    public String getXbqjks1() {
        return xbqjks1;
    }

    public void setXbqjks1(String xbqjks1) {
        this.xbqjks1 = xbqjks1 == null ? null : xbqjks1.trim();
    }

    public String getXbqjjs1() {
        return xbqjjs1;
    }

    public void setXbqjjs1(String xbqjjs1) {
        this.xbqjjs1 = xbqjjs1 == null ? null : xbqjjs1.trim();
    }

    public String getSbdk2() {
        return sbdk2;
    }

    public void setSbdk2(String sbdk2) {
        this.sbdk2 = sbdk2 == null ? null : sbdk2.trim();
    }

    public String getSbqjks2() {
        return sbqjks2;
    }

    public void setSbqjks2(String sbqjks2) {
        this.sbqjks2 = sbqjks2 == null ? null : sbqjks2.trim();
    }

    public String getSbqjjs2() {
        return sbqjjs2;
    }

    public void setSbqjjs2(String sbqjjs2) {
        this.sbqjjs2 = sbqjjs2 == null ? null : sbqjjs2.trim();
    }

    public String getXbdk2() {
        return xbdk2;
    }

    public void setXbdk2(String xbdk2) {
        this.xbdk2 = xbdk2 == null ? null : xbdk2.trim();
    }

    public String getXbqjks2() {
        return xbqjks2;
    }

    public void setXbqjks2(String xbqjks2) {
        this.xbqjks2 = xbqjks2 == null ? null : xbqjks2.trim();
    }

    public String getXbqjjs2() {
        return xbqjjs2;
    }

    public void setXbqjjs2(String xbqjjs2) {
        this.xbqjjs2 = xbqjjs2 == null ? null : xbqjjs2.trim();
    }

    public String getSbdk3() {
        return sbdk3;
    }

    public void setSbdk3(String sbdk3) {
        this.sbdk3 = sbdk3 == null ? null : sbdk3.trim();
    }

    public String getSbqjks3() {
        return sbqjks3;
    }

    public void setSbqjks3(String sbqjks3) {
        this.sbqjks3 = sbqjks3 == null ? null : sbqjks3.trim();
    }

    public String getSbqjjs3() {
        return sbqjjs3;
    }

    public void setSbqjjs3(String sbqjjs3) {
        this.sbqjjs3 = sbqjjs3 == null ? null : sbqjjs3.trim();
    }

    public String getXbdk3() {
        return xbdk3;
    }

    public void setXbdk3(String xbdk3) {
        this.xbdk3 = xbdk3 == null ? null : xbdk3.trim();
    }

    public String getXbqjks3() {
        return xbqjks3;
    }

    public void setXbqjks3(String xbqjks3) {
        this.xbqjks3 = xbqjks3 == null ? null : xbqjks3.trim();
    }

    public String getXbqjjs3() {
        return xbqjjs3;
    }

    public void setXbqjjs3(String xbqjjs3) {
        this.xbqjjs3 = xbqjjs3 == null ? null : xbqjjs3.trim();
    }

    public Integer getSxbcs() {
        return sxbcs;
    }

    public void setSxbcs(Integer sxbcs) {
        this.sxbcs = sxbcs;
    }

    public Integer getIsXbdk() {
        return isXbdk;
    }

    public void setIsXbdk(Integer isXbdk) {
        this.isXbdk = isXbdk;
    }

    public Integer getYxcdfzs() {
        return yxcdfzs;
    }

    public void setYxcdfzs(Integer yxcdfzs) {
        this.yxcdfzs = yxcdfzs;
    }

    public Integer getYzcdfzs() {
        return yzcdfzs;
    }

    public void setYzcdfzs(Integer yzcdfzs) {
        this.yzcdfzs = yzcdfzs;
    }

    public Integer getKgcdfzs() {
        return kgcdfzs;
    }

    public void setKgcdfzs(Integer kgcdfzs) {
        this.kgcdfzs = kgcdfzs;
    }

    public Integer getIsWzwd() {
        return isWzwd;
    }

    public void setIsWzwd(Integer isWzwd) {
        this.isWzwd = isWzwd;
    }

    public String getXbwz1() {
        return xbwz1;
    }

    public void setXbwz1(String xbwz1) {
        this.xbwz1 = xbwz1 == null ? null : xbwz1.trim();
    }

    public String getSbwd1() {
        return sbwd1;
    }

    public void setSbwd1(String sbwd1) {
        this.sbwd1 = sbwd1 == null ? null : sbwd1.trim();
    }

    public String getXbwz2() {
        return xbwz2;
    }

    public void setXbwz2(String xbwz2) {
        this.xbwz2 = xbwz2 == null ? null : xbwz2.trim();
    }

    public String getSbwd2() {
        return sbwd2;
    }

    public void setSbwd2(String sbwd2) {
        this.sbwd2 = sbwd2 == null ? null : sbwd2.trim();
    }

    public String getXbwz3() {
        return xbwz3;
    }

    public void setXbwz3(String xbwz3) {
        this.xbwz3 = xbwz3 == null ? null : xbwz3.trim();
    }

    public String getSbwd3() {
        return sbwd3;
    }

    public void setSbwd3(String sbwd3) {
        this.sbwd3 = sbwd3 == null ? null : sbwd3.trim();
    }

    public String getBeiz() {
        return beiz;
    }

    public void setBeiz(String beiz) {
        this.beiz = beiz == null ? null : beiz.trim();
    }

    public Integer getQyid() {
        return qyid;
    }

    public void setQyid(Integer qyid) {
        this.qyid = qyid;
    }

    public Long getLusjTime() {
        return lusjTime;
    }

    public void setLusjTime(Long lusjTime) {
        this.lusjTime = lusjTime;
    }

    public Integer getLuryid() {
        return luryid;
    }

    public void setLuryid(Integer luryid) {
        this.luryid = luryid;
    }
}