package cn.timer.api.bean.kqgl;

/**
 * 操作员向机器发出的指令代码和执行状态
 * 
 * @author Administrator
 * 
 */
public class TBlFkcmdTrans {

	private String transId;// 为跟踪操作员向机器发出的指令的用于唯一识别号码。 这个字段的价必须唯一对每一条记录
	private String deviceId;// 为识别接受指令的机器的识别号码
	private String cmdCode;// 操作员发出的指令代码。(例如 SET_TIME, GET_ENROLL_DATA 等)
	private String returnCode;// 机器上传的指令执行结果代码
	private String status;// 指令的执行状态。 (‘WAIT’, ‘RUN’, ‘RESULT’, ‘CANCELLED’)
	private String updateTime;// 最后修改指令状态的时间

	public String getTransId() {
		return transId;
	}

	public void setTransId(String transId) {
		this.transId = transId;
	}

	public String getDeviceId() {
		return deviceId;
	}

	public void setDeviceId(String deviceId) {
		this.deviceId = deviceId;
	}

	public String getCmdCode() {
		return cmdCode;
	}

	public void setCmdCode(String cmdCode) {
		this.cmdCode = cmdCode;
	}

	public String getReturnCode() {
		return returnCode;
	}

	public void setReturnCode(String returnCode) {
		this.returnCode = returnCode;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

}
