package cn.timer.api.config.autofill;

import org.apache.ibatis.reflection.MetaObject;
import org.springframework.stereotype.Component;

import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;

import cn.hutool.core.date.DateUtil;
import lombok.extern.slf4j.Slf4j;

@Slf4j
@Component
public class MyMetaObjectHandler implements MetaObjectHandler {

	@Override
	public void insertFill(MetaObject metaObject) {
		log.info("start insert fill ....");
		this.setInsertFieldValByName("createTime", DateUtil.date(), metaObject);//3.0.7版本后
		this.setInsertFieldValByName("regTime", DateUtil.date(), metaObject);//3.0.7版本后
		this.setInsertFieldValByName("addtime", DateUtil.date(), metaObject);//薪资档案-定薪
	}

	@Override
	public void updateFill(MetaObject metaObject) {
		log.info("start update fill ....");
		this.setUpdateFieldValByName("createTime", DateUtil.date(), metaObject);//3.0.7版本后
		this.setUpdateFieldValByName("updateTime", DateUtil.date(), metaObject);//3.0.7版本后
	}

}
