package cn.timer.api.dao.kqgl;

import java.util.List;

import cn.timer.api.bean.kqgl.AttScheduling;
import cn.timer.api.bean.kqgl.CustomRosterSchedule;
import cn.timer.api.bean.kqgl.Schedule;
import cn.timer.api.bean.kqgl.ScheduleAux;


public interface ScheduleMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(Schedule record);

    int insertSelective(Schedule record);

    Schedule selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Schedule record);

    int updateByPrimaryKey(Schedule record);
    
    int insertKqglAssoPbmxList(List<Schedule> schedule);
    
    int deleteByPrimaryBykqzid(Integer kqzid);
    
    List<Schedule> selectAttGroupScheduling(AttScheduling attscheduling);
    
    int deleteByPrimaryByUserid(Integer userid);
    
    List<Schedule> getAttendanceShouldList(Integer userid,Long start,Long end);
    
    Schedule getScheduleSpecificAttendance(Integer kqzid,Integer userid,String date);
    
    List<ScheduleAux> getCalendarAttendance(Integer userid);
    
    Schedule getCustomRoster(Integer userid,String date);
    
    int insertCustomRoster(CustomRosterSchedule customrosterschedule);
}