package cn.timer.api.dao.qyzx;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;

import cn.timer.api.bean.qyzx.QyzxLogBuy;
import cn.timer.api.dto.qyzx.AttaFpglQueryDto;
import cn.timer.api.dto.qyzx.LogBuyDto;

/**
*  购买记录表
* @author Tang 2019-11-13
*/
@Repository
public interface QyzxLogBuyMapper extends BaseMapper<QyzxLogBuy> {

	
	//查询购买记录
	List<LogBuyDto> selectByName(IPage<LogBuyDto> page,@Param("param") AttaFpglQueryDto attaFpglQueryDto);
	
	
}
