package cn.timer.api.dao.sbgjj;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import cn.timer.api.bean.sbgjj.SbgjjAdminCbry;
import cn.timer.api.bean.yggl.YgglMainEmp;
import cn.timer.api.dto.sbgjj.InspersonnelDto;
import cn.timer.api.dto.sbgjj.InsuredPersonnelDto;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
*  参保人员
* @author Tang 2019-12-09
*/
@Repository
public interface SbgjjAdminCbryMapper extends BaseMapper<SbgjjAdminCbry> {

	List<InsuredPersonnelDto> InsuredPersonnel(InspersonnelDto inspersonneldto);
	
	int insertsbgjjadmincbry(SbgjjAdminCbry sbgjjadmincbry);
	
	List<YgglMainEmp> EmployeeListByorgCode(int orgCode);
	
}
