package cn.timer.api.dao.xcgl;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

import org.springframework.stereotype.Repository;

import cn.timer.api.bean.xcgl.XcglAdminXzz;
import cn.timer.api.dto.xcgl.PayrollExceptionDto;

/**
 * @author lalqq 薪资组
 */
@Repository
public interface XcglAdminXzzMapper extends BaseMapper<XcglAdminXzz> {
	
	List<PayrollExceptionDto> PayrollException(int qyid, int id, String xzyf);

	/**
	 * [新增]
	 * 
	 **/
	int insert(XcglAdminXzz xcglAdminXzz);

	/**
	 * [刪除]
	 * 
	 **/
	int delete(int id);

	/**
	 * [更新]
	 * 
	 **/
	int update(XcglAdminXzz xcglAdminXzz);

	/**
	 * [查詢] 根據主鍵 id 查詢
	 * 
	 **/
	XcglAdminXzz load(int id);

	/**
	 * [查詢] 分頁查詢
	 * 
	 **/
	List<XcglAdminXzz> pageList(int offset, int pagesize);

	/**
	 * [查詢] 分頁查詢 count
	 * 
	 **/
	int pageListCount(int offset, int pagesize);
}
