package cn.timer.api.dao.xcgl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import cn.timer.api.bean.xcgl.XcglAssoGztzt;
import cn.timer.api.dto.xcgl.PayslipDetailsDto;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
*  工资条组内成员状态
* @author lal 2019-12-12
*/
@Repository
public interface XcglAssoGztztMapper extends BaseMapper<XcglAssoGztzt> {

	int insertxcglassogztztList(List<XcglAssoGztzt> xcglassogztzt);
	
	int deletexcglassogztzt(int gztszid);
	
	List<PayslipDetailsDto> PayslipDetails(int gztszid,int qyid);
	
	int deletegztztByxzzid(int xzzid);
	
}
