package cn.timer.api.dao.xcgl;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import cn.timer.api.bean.xcgl.XcglAssoJxgz;
import cn.timer.api.dto.xcgl.PayGroupedDataDto;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * 	计薪规则组
 * 
 * @author lal 2019-11-23
 */
@Repository
public interface XcglAssoJxgzMapper extends BaseMapper<XcglAssoJxgz> {

	List<PayGroupedDataDto> selectPayrollGroupList(Integer xzzid);
	
	int jxgzinsert(XcglAssoJxgz xcglassojxgz);
	
	int deleteByxzzid(int id);
	
	int insertxcglassojxgzList(List<XcglAssoJxgz> xcglassojxgz);
	
	List<XcglAssoJxgz> selectassojxgzList(int xzzid);

}
