package cn.timer.api.dao.xcgl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import cn.timer.api.bean.xcgl.XcglAssoXzb;
import cn.timer.api.dto.xcgl.CalculationDto;
import cn.timer.api.dto.xcgl.CalculationValueDto;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
*  薪资表
* @author lal 2019-11-26
*/
@Repository
public interface XcglAssoXzbMapper extends BaseMapper<XcglAssoXzb> {

	int xzbinsert(XcglAssoXzb xcglassoxzb);
	
	int deleteByuserid(int userid,int xzzid,String xzyf);
	
	List<CalculationDto> CalculationResults(int xzzid,String xzyf,int orgcode);
	
	int deleteByAttendance(int userid,int xzzid,String xzyf);
	
	List<CalculationDto> SimultaneousAttendance(int xzzid);
	
	int deleteXcglAssoXzb(int userid);
	
	CalculationValueDto lateearlyDeduction(int empnum,int xzzid,String salaryitem);
	
	int ModifyImportedSalary(XcglAssoXzb xcglassoxzb);
}
