package cn.timer.api.dao.xcgl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import cn.timer.api.bean.kqgl.UserAttendanceRel;
import cn.timer.api.bean.xcgl.XcglAssoXzury;
import cn.timer.api.dto.xcgl.SalaryPersonFieldDto;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
*  薪资组内人员
* @author Tang 2019-11-20
*/
@Repository
public interface XcglAssoXzuryMapper extends BaseMapper<XcglAssoXzury> {

	int insertxcglassoxzuryList(List<XcglAssoXzury> xcglassoxzury);
	
	int xzurydelete(int xzzid);
	
	List<SalaryPersonFieldDto> selectpersonfieldList(int xzzid,int orgcode);
	
	int deleteByuseridoqyid(int userid,int qyid);
	
	XcglAssoXzury selectImportedSalary(int xzzid,String name,String orgcode);
	
	XcglAssoXzury selectISswitchdate(int xzzid,String xzyf);
}
