package cn.timer.api.dto.dzht;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DzhtRzDto implements Serializable {

	private static final long serialVersionUID = 5484447071870926677L;

	@ApiModelProperty(value = "验证码", example = "123456")
	private String authcode;

	@ApiModelProperty(value = "验证类型", example = "0手机 1银行卡 3刷脸 ")
	private Integer type;
}
