package cn.timer.api.dto.htzz;

import java.io.Serializable;

import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class HtzzQueryDto extends Page implements Serializable{
	
	private static final long serialVersionUID = -7597373896148415882L;

	@ApiModelProperty(value="有效期",example="101")
	private String endTime;
	
	@ApiModelProperty(value="名称、型号、供应商",example="张三")
	private String query;
	
}

