package cn.timer.api.dto.jxgl;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class AppraisalGroupSettingsDto implements Serializable {
	/**
	* 
	*/
	private static final long serialVersionUID = 2721179614486813779L;
	String name;//
	Integer type;// 周期类型
	String[] evaladminid;// 考评组管理员
	String[] assepers;// 被考核人员
	Integer pffs;// 指标评分计算方式
	Integer pf;// 评分说明必填
	
	Integer mbzdr;//目标制定人类型
	String[] enacusers;//目标制定人员集合
	Integer mbqrr;//目标确认人类型
    String[] confusers;//目标确认人员集合
    
    Integer zppz;//自评配置开关 0：关；1：开
    String zpweight;//自评权重
    Integer prfqc;//评分人去重 0：关；1：开【评分全局配置】
    Integer pfrsdpj;//评分人手动评级 0：关；1：开【评分全局配置】
    Integer hppz;//互评配置开关 0：关；1：开
    String hpweight;//互评权重
    Integer hpnmkg;//互评匿名开关 0：关；1：开【互评】
    Integer hpdrclfs;//互评多人时的处理方式 0：各自评分（计算时取平均值）；1：任一评分（任一评分人评分即可）；9：关【互评】
    Integer sjpfpz;//上级评分配置开关 0：关；1：开
    String sjqz;//评分权重-【上级评分配置】
    Integer sjclstate;//当执行人为多人时的处理方式
    Integer dpf;//代评分 若该级处理人空缺，由其在通讯录中的上级主管代评分 ===> 0：关；1：开【上级评分】
    Integer yxzj;//允许转交 0：关；1：开【上级评分】
    Integer sjpfrule;//评分规则
    Integer lcsjtype;//流程设计类型 0：按评分人设置流程；1：按指标设置流程
    
}
