package cn.timer.api.dto.qyxx;

import java.io.Serializable;

import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class QyxxQueryDto extends Page implements Serializable{
	
	private static final long serialVersionUID = 8975191212158593839L;

	@ApiModelProperty(value="模块id",example="1 2 3")
	private Integer modularid;
	
	@ApiModelProperty(value="发布状态",example="1 2 3")
	private Integer releasestate;

	@ApiModelProperty(value="查询开始时间",example="1111")
	private String startTime;
	
	@ApiModelProperty(value="查询结束时间",example="3333")
	private String endTime;
	
	@ApiModelProperty(value="发布人id,责任编辑id,标题",example="123 or 震惊！！")
	private String query;
}
