package cn.timer.api.dto.qyzx;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AdminListDto  extends Page implements Serializable{
    
    private static final long serialVersionUID = 8975191212158593839L;
    
    @ApiModelProperty(value="登陆编号",example="10")
    private Integer empNum;
	
	@ApiModelProperty(value = "员工工号", example = "0001")
    private String jobNum;
    
    @ApiModelProperty(value = "性别", example = "0")
    private Integer sex;
	@ApiModelProperty(value="用户名 ",example="abcdef")
    private String username;

    @ApiModelProperty(value="登陆手机 ",example="13712345678")
    private String phone;
 
    @ApiModelProperty(value="注册时间 ",example="2019-01-01")
    private Date regTime;
    
	@ApiModelProperty(value="最后登陆时间 ",example="2019-01-01")
    private Date endTime;

    @ApiModelProperty(value="用户头像",example="http://www.youlingrc.com")
    private String headUrl;
	
	@ApiModelProperty(value="邮箱",example="admin@youlingrc.com")
    private String email;

    @ApiModelProperty(value = "正在操作公司", example = "123")
    private Integer orgId;
	@ApiModelProperty(value="在企业中的状态  0：关闭；1：正常",example="1")
    private Integer status;
	@ApiModelProperty(value="在企业中的类型  0 超管理员 1子管理 2 普通员工",example="0")
    private Integer userType;
    @ApiModelProperty(value = "在企业中的员工名称", example = "雷阿姨")
    private String empName;
    @ApiModelProperty(value = "在企业中的员工英文名称", example = "miss lei")
    private String enName;
    @ApiModelProperty(value = "部门岗位编号", example = "123")
    private Integer bmgwId;

}
