/**
 * @date 2019年11月14日  
 * @author 翁东州
 * @方法中文名称:
 */
package cn.timer.api.dto.qyzx;

import java.io.Serializable;

import cn.timer.api.config.swagger.IgnoreSwaggerParameter;
import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @date 2019年11月14日  
 * @author 翁东州
 * @方法中文名称:
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttaFpglQueryDto extends Page implements Serializable{

	private static final long serialVersionUID = 910573493694136770L;

	@ApiModelProperty(value="模糊条件",example="101")
	private String query;
	
	@ApiModelProperty(value="开始时间",example="2019-12-01 01:13:54")
	private String startTime;
	
	@ApiModelProperty(value="结束时间",example="2019-12-13 01:13:54")
	private String endTime;
	
	@IgnoreSwaggerParameter
	@ApiModelProperty(value="",example="")
	private Integer empNum;
	
	
}
