package cn.timer.api.dto.sbgjj;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class InsuredPersonnelDto implements Serializable {
	/**
	* 
	*/
	private static final long serialVersionUID = -8393691247023912678L;

	int empnum;// 用户工号
	String empname;// 用户名称
	String emphone;// 电话号码
	String emzjnum;// 证件号码
	String cbfacs;
	String dept;// 部门
	String post;// 岗位
	int sbcbstate;// 社保参保状态 0：未投保 1：正常在缴 2：暂不办理 3：已停保
	int gjjcbstate;// 公积金参保状态 0：未投保 1：正常在缴 2：暂不办理 3：已停保
	int jlmode;// 缴纳方式 1：公司自缴
	int cbryid;// 参保人员表id
	int sbfaid;// 社保方案id
	String sbjlstatime;// 社保缴纳起始月
	String sbjljs;// 社保缴纳基数
	int gjjfaid;// 公积金方案id
	String gjjjlstatime;// 公积金缴纳起始月
	String gjjjljs;// 公积金缴纳基数
	int csid;// 城市ID
}
