package cn.timer.api.dto.spmk;

import java.util.List;

import cn.timer.api.bean.spmk.SpmkSpgl;
import cn.timer.api.bean.spmk.SpmkSpz;
import cn.timer.api.bean.spmk.SpmkSpz.SpmkSpzBuilder;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SpmkSpzSpglDto {

	@ApiModelProperty(value="编号 编号",example="1")
    private Integer id;
	
	@ApiModelProperty(value="企业id",example="117")
	private Integer orgCode;
    
	@ApiModelProperty(value="组名 ",example="人事")
    private String name;
    
	@ApiModelProperty(value="排序 排序",example="1")
    private Integer sort;
    
	@ApiModelProperty(value="是否可编辑 0是 1否",example="0")
    private Integer isEditable;
	
    private List<SpmkSpgl> spmkSpgls;
	
}
