package cn.timer.api.dto.zcgl;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 领用详情
 * 
 * @author Administrator
 *
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ZcglLyDetailsDto implements Serializable {

	private static final long serialVersionUID = 6413337498247518702L;

	@ApiModelProperty(value = "用户id（领用人）", example = "101")
	private String lyrid;

	@ApiModelProperty(value = "领用日期", example = "领用日期")
	private Date lyrqTime;

	@ApiModelProperty(value = "应归还日期", example = "归还日期")
	private Date ghrqTime;

	@ApiModelProperty(value = "使用部门", example = "101")
	private String sybm;

	@ApiModelProperty(value = "企业id", example = "企业id")
	private Integer orgCode;

	@ApiModelProperty(value = "领用后存放点", example = "领用后存放点")
	private String lyhcfd;

	@ApiModelProperty(value = "领用处理人", example = "领用处理人")
	private String lyclr;

	@ApiModelProperty(value = "说明", example = "说明")
	private String sm;

	@ApiModelProperty(value = "资产id", example = "101")
	private Integer zcid;

	@ApiModelProperty(value = "领用数量", example = "101")
	private Integer lysl;

	@ApiModelProperty(value = "状态", example = "101")
	private Integer ztStatus;

}
