package cn.timer.api.dto.zcgl;

import java.io.Serializable;

import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ZcglTjtDto extends Page implements Serializable{
	
	private static final long serialVersionUID = 2662166824628374134L;

	@ApiModelProperty(value="年份",example="2019")
	private Integer year;
	
	@ApiModelProperty(value="年月",example="201911")
	private Integer yearMonth;
	
	@ApiModelProperty(value="日期",example="2019-11-11")
	private Integer day;
	
	@ApiModelProperty(value="数量",example="100")
	private String sum;
	
}
