
package cn.timer.api.dto.zzgl;

import java.io.Serializable;
import java.util.List;


import cn.timer.api.config.swagger.IgnoreSwaggerParameter;
import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LogDgjlsQueryDto extends Page implements Serializable{

	private static final long serialVersionUID = 4058619253390013963L;

	@ApiModelProperty(value="模糊条件",example="101")
	private String query;
	
	@ApiModelProperty(value="部门岗位id",example="101")
	private Integer deptId;
	
	private List<Integer> deptIdList;
	
	private Integer orgCode;
}