package cn.timer.api.dto.zzgl;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ZzglLogDgjlDto implements Serializable{

	private static final long serialVersionUID = -8415116674889220097L;

	@ApiModelProperty(value = "编号 编号", example = "101")
	private Integer id;

	// @ApiModelProperty(value = "组织机构代码 组织机构代码", example = "117")
	private Integer orgCode;

	@ApiModelProperty(value = "员工工号 员工工号", example = "101")
	private Integer empNum;
	
	@ApiModelProperty(value = "员工名称", example = "刘基林")
	private String username;

	@ApiModelProperty(value = "原部门id 原部门id", example = "101")
	private Integer obmgwId;

	@ApiModelProperty(value = "现部门id 现部门id", example = "101")
	private Integer nbmgwId;

	@ApiModelProperty(value = "操作人id 操作人id", example = "101")
	private Integer updateId;

	@ApiModelProperty(value = "记录时间 ", example = "记录时间")
	private Date createTime;
	
	
	@ApiModelProperty(value = "说明 ", example = "新增调岗，删除调岗，调岗")
	private Date comment;
}
