package cn.timer.api.dto.zzgl;

import java.io.Serializable;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import cn.timer.api.bean.yggl.YgglMainEmp;
import cn.timer.api.config.swagger.IgnoreSwaggerParameter;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ZzglLogDgjlQueryDto implements Serializable{

	private static final long serialVersionUID = 4058619253390013963L;

	@ApiModelProperty(value="模糊条件",example="101")
	private String query;
	
	@ApiModelProperty(value="开始时间",example="2019-01-01 01:13:54")
	private String startTime;
	
	@ApiModelProperty(value="结束时间",example="2020-12-13 01:13:54")
	private String endTime;
	
	@IgnoreSwaggerParameter
	private Integer orgCode;
}
