package cn.timer.api.utils;

import java.io.ByteArrayInputStream;
import java.io.ObjectInputStream;
import java.util.List;
/**
 * 反序列化
 * @author Administrator
 */
public class SerializationUtils {

	public static List<Object> toSerialization(byte[] object) {
		try {
			ByteArrayInputStream byteArrayInputStream = new ByteArrayInputStream(object);
			ObjectInputStream in;
			in = new ObjectInputStream(byteArrayInputStream);
			List<Object> objectlist = (List<Object>) in.readObject();
			in.close();
			return objectlist;
		} catch (Exception e) {
			e.printStackTrace();
			return null;
		}

	}
	
	public static Object toSerializationObject(byte[] object) {
		try {
			ByteArrayInputStream byteArrayInputStream = new ByteArrayInputStream(object);
			ObjectInputStream in;
			in = new ObjectInputStream(byteArrayInputStream);
			Object objectlist = (Object) in.readObject();
			in.close();
			return objectlist;
		} catch (Exception e) {
			e.printStackTrace();
			return null;
		}
		
	}

}
